## golang-github-prometheus-common 0.37.0

=== debian/changelog ===
golang-github-prometheus-common (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: drop obsolete acceptance of sha1-signed test cert

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Sep 2022 13:10:28 +0000

golang-github-prometheus-common (0.34.0-4) unstable; urgency=medium

  * Re-upload source-only

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Sep 2022 23:20:39 +0000

golang-github-prometheus-common (0.34.0-3) unstable; urgency=medium

  * d/rules: override dh_strip_nondeterminism to prevent modification of
    upstream binary files in assets/testdata, which otherwise causes
    autopkgtest failures.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Sep 2022 15:34:08 +0000

golang-github-prometheus-common (0.34.0-2) unstable; urgency=medium

  * Drop obsolete golang-github-pkg-errors-dev dependencies
  * Add missing golang-github-prometheus-client-golang-dev build-dep
  * Add missing golang-google-protobuf-dev dependency

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Sep 2022 00:20:25 +0000

golang-github-prometheus-common (0.34.0-1) unstable; urgency=medium

  * New upstream release
  * Add new 01-support-outdated-protobuf-build-deps.patch
    - Add new golang-google-protobuf-dev build-dep as a result thereof
  * Bump Standards-Version to 4.6.1 (no changes)
  * Drop obsolete lintian-overrides (compressed-duplicate)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 11 Sep 2022 20:33:14 +0000

golang-github-prometheus-common (0.32.1-8) unstable; urgency=medium

  * debian/rules: Fix disabling the tests by mistake.

 -- Martina Ferrari <tina@debian.org>  Fri, 01 Apr 2022 11:57:06 +0000

golang-github-prometheus-common (0.32.1-7) unstable; urgency=medium

  * debian/copyright: Update years.
  * debian/rules: Avoid test failures with new crypto/x509.
    Closes: #1008400

 -- Martina Ferrari <tina@debian.org>  Wed, 30 Mar 2022 11:53:02 +0000

golang-github-prometheus-common (0.32.1-6) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Add trailing comma to last Uploader.
  * Install the NOTICE file for Apache-2.0 compliance.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 22:42:11 +0100

## golang-github-prometheus-common 0.38.0

=== debian/changelog ===
golang-github-prometheus-common (0.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 09 Dec 2022 06:53:07 +0000

=== debian/control ===
Source: golang-github-prometheus-common
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Anthony Fok <foka@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-go-kit-log-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-mwitkow-go-conntrack-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev (>= 0.2.0),
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev,
               golang-google-protobuf-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1),
               golang-goprotobuf-dev,
               golang-protobuf-extensions-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
Homepage: https://github.com/prometheus/common
XS-Go-Import-Path: github.com/prometheus/common

Package: golang-github-prometheus-common-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-aws-aws-sdk-go-dev,
         golang-github-go-kit-log-dev,
         golang-github-julienschmidt-httprouter-dev,
         golang-github-mwitkow-go-conntrack-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-prometheus-client-model-dev (>= 0.2.0),
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev,
         golang-google-protobuf-dev,
         golang-gopkg-alecthomas-kingpin.v2-dev,
         golang-gopkg-yaml.v2-dev (>= 2.2.1),
         golang-goprotobuf-dev,
         golang-protobuf-extensions-dev,
         ${misc:Depends},
Breaks: prometheus-alertmanager (<< 0.22.0~),
Description: common libraries for Prometheus components
 This package includes:
 .
  * github.com/prometheus/common/config: Common configuration structures.
  * github.com/prometheus/common/expfmt: Decoding and encoding for the
    exposition format.
  * github.com/prometheus/common/model: Shared data structures.
  * github.com/prometheus/common/promlog: Defines standardised ways to
    initialize Go kit loggers across Prometheus components.
  * github.com/prometheus/common/route: A routing wrapper around
    https://github.com/julienschmidt/httprouter using `context.Context`.
  * github.com/prometheus/common/server: Common servers.
  * github.com/prometheus/common/sigv4: Provides a http.RoundTripper that
    signs requests using Amazon's Signature Verification V4 signing procedure.
  * github.com/prometheus/common/version: Version information and metrics.

## golang-github-prometheus-common 0.39.0

=== debian/changelog ===
golang-github-prometheus-common (0.39.0-2) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * Bump Standards-Version to 4.6.2 (no changes)
  * Modernize protobuf dependencies

  [ Mathias Gibbens ]
  * Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 05 Jan 2023 22:06:27 +0000

golang-github-prometheus-common (0.39.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 00:57:25 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-go-kit-log-dev,
+               golang-github-golang-protobuf-1-3-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-prometheus-client-golang-dev,
@@ -21,9 +22,8 @@
                golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1),
-               golang-goprotobuf-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
@@ -35,6 +35,7 @@
 Multi-Arch: foreign
 Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-go-kit-log-dev,
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-prometheus-client-golang-dev,
@@ -44,7 +45,6 @@
          golang-google-protobuf-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
          golang-gopkg-yaml.v2-dev (>= 2.2.1),
-         golang-goprotobuf-dev,
          golang-protobuf-extensions-dev,
          ${misc:Depends},
 Breaks: prometheus-alertmanager (<< 0.22.0~),

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
https://github.com/prometheus/common/tags \/.*\/v([\d\.]*)\.tar\.gz

## golang-github-prometheus-common 0.42.0

=== debian/changelog ===
golang-github-prometheus-common (0.42.0-2) unstable; urgency=medium

  * Drop obsolete 01-support-outdated-protobuf-build-deps.patch
  * Replace golang-github-golang-protobuf-1-3-dev Build-Depends with
    golang-github-golang-protobuf-1-5-dev
  * Drop alternative golang-github-golang-protobuf-1-3-dev Depends

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 18 Jun 2023 20:59:42 +0000

golang-github-prometheus-common (0.42.0-1) unstable; urgency=medium

  * New upstream version
  * Add new 02-Revert_kingpin_import_path.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 14 Jun 2023 12:25:56 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-go-kit-log-dev,
-               golang-github-golang-protobuf-1-3-dev,
+               golang-github-golang-protobuf-1-5-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-prometheus-client-golang-dev,
@@ -35,7 +35,7 @@
 Multi-Arch: foreign
 Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-go-kit-log-dev,
-         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
+         golang-github-golang-protobuf-1-5-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-prometheus-client-golang-dev,

## golang-github-prometheus-common 0.44.0

=== debian/changelog ===
golang-github-prometheus-common (0.44.0-4) unstable; urgency=medium

  * Revert indirect golang-github-golang-protobuf-1-5-dev dependency, as this
    makes numerous downstream r-deps uninstallable due to the conflict with
    golang-github-golang-protobuf-1-3-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 27 Jun 2023 08:44:00 +0000

golang-github-prometheus-common (0.44.0-3) unstable; urgency=medium

  * Breaks golang-github-armon-go-metrics << 0.3.4-3

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 24 Jun 2023 10:14:46 +0000

golang-github-prometheus-common (0.44.0-2) unstable; urgency=medium

  * Reinstate golang-github-golang-protobuf-1-5-dev dependency to prevent the
    alternative (but incompatible) golang-github-golang-protobuf-1-3-dev being
    installed by downstream dependencies.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 23 Jun 2023 10:57:32 +0000

golang-github-prometheus-common (0.44.0-1) unstable; urgency=medium

  * New upstream release
  * Bump golang-github-prometheus-client-model-dev dependency to 0.4.0
  * Drop unused golang-github-golang-protobuf-1-5-dev dependency
  * Constrain version of golang-github-prometheus-client-golang-dev dependency
    (>= 1.15.1)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Jun 2023 08:48:37 +0000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,10 @@
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-go-kit-log-dev,
-               golang-github-golang-protobuf-1-5-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
-               golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-client-model-dev (>= 0.2.0),
+               golang-github-prometheus-client-golang-dev (>= 1.15.1),
+               golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
                golang-google-protobuf-dev,
@@ -35,11 +34,10 @@
 Multi-Arch: foreign
 Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-go-kit-log-dev,
-         golang-github-golang-protobuf-1-5-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
-         golang-github-prometheus-client-golang-dev,
-         golang-github-prometheus-client-model-dev (>= 0.2.0),
+         golang-github-prometheus-client-golang-dev (>= 1.15.1),
+         golang-github-prometheus-client-model-dev (>= 0.4.0),
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-dev,
          golang-google-protobuf-dev,
@@ -47,7 +45,8 @@
          golang-gopkg-yaml.v2-dev (>= 2.2.1),
          golang-protobuf-extensions-dev,
          ${misc:Depends},
-Breaks: prometheus-alertmanager (<< 0.22.0~),
+Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
+        prometheus-alertmanager (<< 0.22.0~),
 Description: common libraries for Prometheus components
  This package includes:
  .

## golang-github-prometheus-common 0.45.0

=== assets/Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include ../Makefile.common

.PHONY: test
	@echo ">> Running assets tests"
	test:: deps check_license unused common-test

=== debian/changelog ===
golang-github-prometheus-common (0.45.0-3) unstable; urgency=medium

  * Explicitly constrain golang-github-prometheus-client-golang-dev
    dependency (>= 1.17.0-2~)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 18 Nov 2023 15:57:45 +0000

golang-github-prometheus-common (0.45.0-2) unstable; urgency=medium

  * Breaks golang-github-prometheus-client-golang (<< 1.17.0-2~) due to
    config.NewBasicAuthRoundTripper() function signature change

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 16 Nov 2023 15:28:36 +0000

golang-github-prometheus-common (0.45.0-1) unstable; urgency=medium

  * New upstream release
  * Convert patches to gbp-pq format
  * Add new 0002-Revert-protobuf_extensions-API-bump.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Nov 2023 12:12:21 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-go-kit-log-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.15.1),
+               golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
@@ -36,7 +36,7 @@
          golang-github-go-kit-log-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
-         golang-github-prometheus-client-golang-dev (>= 1.15.1),
+         golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
          golang-github-prometheus-client-model-dev (>= 0.4.0),
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-dev,
@@ -46,6 +46,7 @@
          golang-protobuf-extensions-dev,
          ${misc:Depends},
 Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
+        golang-github-prometheus-client-golang (<< 1.17.0-2~),
         prometheus-alertmanager (<< 0.22.0~),
 Description: common libraries for Prometheus components
  This package includes:

## golang-github-prometheus-common 0.46.0

=== debian/changelog ===
golang-github-prometheus-common (0.46.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete golang-protobuf-extensions-dev dependency
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 14 Jan 2024 11:19:03 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
                golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1),
-               golang-protobuf-extensions-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
@@ -43,7 +42,6 @@
          golang-google-protobuf-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
          golang-gopkg-yaml.v2-dev (>= 2.2.1),
-         golang-protobuf-extensions-dev,
          ${misc:Depends},
 Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
         golang-github-prometheus-client-golang (<< 1.17.0-2~),

## golang-github-prometheus-common 0.47.0

=== sigv4/Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include ../Makefile.common

.PHONY: test
test:: deps check_license unused common-test lint

=== debian/changelog ===
golang-github-prometheus-common (0.47.0-2) unstable; urgency=medium

  * Add new 0002-Relax-brittle-TestProtoFormatUnchanged-test.patch for
    compatibility with prometheus/client_model >= 0.6.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 22 Feb 2024 13:29:51 +0000

golang-github-prometheus-common (0.47.0-1) unstable; urgency=medium

  * New upstream release
  * Add new dependency golang-github-google-go-cmp-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 16 Feb 2024 20:20:55 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-go-kit-log-dev,
+               golang-github-google-go-cmp-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
@@ -33,6 +34,7 @@
 Multi-Arch: foreign
 Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-go-kit-log-dev,
+         golang-github-google-go-cmp-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),

## golang-github-prometheus-common 0.53.0

=== debian/changelog ===
golang-github-prometheus-common (0.53.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 23 Apr 2024 09:17:29 +0000

golang-github-prometheus-common (0.52.2-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 05 Apr 2024 00:20:27 +0000

golang-github-prometheus-common (0.51.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 22 Mar 2024 20:19:32 +0000

golang-github-prometheus-common (0.50.0-1) unstable; urgency=medium

  * New upstream release (with one breaking change)
  * Drop obsolete 0004-Remove-unused-Host-member-from-HTTPClientConfig.patch
    (implemented upstream)
  * debian/control: updates Breaks due to API change

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Mar 2024 20:20:27 +0000

golang-github-prometheus-common (0.49.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0002-Relax-brittle-TestProtoFormatUnchanged-test.patch
  * Add new 0004-Remove-unused-Host-member-from-HTTPClientConfig.patch
  * Bump golang-github-prometheus-client-model-dev version constraint
    (>= 0.6.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 11 Mar 2024 18:47:04 +0000

golang-github-prometheus-common (0.48.0-1) unstable; urgency=medium

  * New upstream release
  * Add new 0003-Re-export-unexported-constants-to-ease-migration.patch to
    avoid breaking change

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 07 Mar 2024 16:23:44 +0000

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
                golang-github-julienschmidt-httprouter-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
-               golang-github-prometheus-client-model-dev (>= 0.4.0),
+               golang-github-prometheus-client-model-dev (>= 0.6.0),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
                golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev (>= 2.2.1),
+               golang-gopkg-yaml.v2-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
@@ -38,16 +38,29 @@
          golang-github-julienschmidt-httprouter-dev,
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
-         golang-github-prometheus-client-model-dev (>= 0.4.0),
+         golang-github-prometheus-client-model-dev (>= 0.6.0),
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-dev,
          golang-google-protobuf-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
-         golang-gopkg-yaml.v2-dev (>= 2.2.1),
+         golang-gopkg-yaml.v2-dev,
          ${misc:Depends},
 Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
-        golang-github-prometheus-client-golang (<< 1.17.0-2~),
-        prometheus-alertmanager (<< 0.22.0~),
+        golang-github-prometheus-client-golang (<< 1.18.0-3~),
+        prometheus (<< 2.45.3+ds-3~),
+        prometheus-alertmanager (<< 0.27.0+ds-2~),
+        prometheus-apache-exporter (<< 1.0.7-1~),
+        prometheus-bind-exporter (<< 0.7.0-3~),
+        prometheus-blackbox-exporter (<< 0.24.0-3~),
+        prometheus-elasticsearch-exporter (<< 1.7.0-2~),
+        prometheus-frr-exporter (<< 1.2.0-2~),
+        prometheus-mysqld-exporter (<< 0.15.1-1~),
+        prometheus-nginx-exporter (<< 1.1.0-2~),
+        prometheus-node-exporter (<< 1.7.0-2~),
+        prometheus-postgres-exporter (<< 0.15.0-2~),
+        prometheus-pushgateway (<< 1.7.0-2),
+        prometheus-snmp-exporter (<< 0.25.0-2~),
+        prometheus-squid-exporter (<< 1.11.0+ds-2),
 Description: common libraries for Prometheus components
  This package includes:
  .

## golang-github-prometheus-common 0.55.0

=== debian/changelog ===
golang-github-prometheus-common (0.55.0-2) unstable; urgency=medium

  * Add new 0004-Fix-HumanizeTimestamp-32-bit-test-overflows.patch
  * Update Breaks: golang-github-prometheus-client-golang (<< 1.19.1-1~) due
    to backwards-incompatible API change

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Aug 2024 14:54:49 +0000

golang-github-prometheus-common (0.55.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)
  * Add new build-dep golang-github-munnerz-goautoneg-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 10 Aug 2024 22:18:24 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                golang-github-go-kit-log-dev,
                golang-github-google-go-cmp-dev,
                golang-github-julienschmidt-httprouter-dev,
+               golang-github-munnerz-goautoneg-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
                golang-github-prometheus-client-model-dev (>= 0.6.0),
@@ -22,7 +23,7 @@
                golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
@@ -36,6 +37,7 @@
          golang-github-go-kit-log-dev,
          golang-github-google-go-cmp-dev,
          golang-github-julienschmidt-httprouter-dev,
+         golang-github-munnerz-goautoneg-dev,
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
          golang-github-prometheus-client-model-dev (>= 0.6.0),
@@ -46,7 +48,7 @@
          golang-gopkg-yaml.v2-dev,
          ${misc:Depends},
 Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
-        golang-github-prometheus-client-golang (<< 1.18.0-3~),
+        golang-github-prometheus-client-golang (<< 1.19.1-1~),
         prometheus (<< 2.45.3+ds-3~),
         prometheus-alertmanager (<< 0.27.0+ds-2~),
         prometheus-apache-exporter (<< 1.0.7-1~),

## golang-github-prometheus-common 0.60.1

=== debian/changelog ===
golang-github-prometheus-common (0.60.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 31 Oct 2024 18:25:17 +0000

golang-github-prometheus-common (0.60.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0002-Use-UTC-timestamps-in-promslog-go-kit-log-style.patch
    (applied upstream)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 02 Oct 2024 05:31:34 +0000

golang-github-prometheus-common (0.59.1-2) unstable; urgency=medium

  * Add new 0002-Use-UTC-timestamps-in-promslog-go-kit-log-style.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 20 Sep 2024 09:51:03 +0000

golang-github-prometheus-common (0.59.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 08 Sep 2024 14:21:45 +0000

golang-github-prometheus-common (0.57.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0003-Re-export-unexported-constants-to-ease-migration.patch
    (breaking change reverted upstream)
  * Drop obsolete 0004-Fix-HumanizeTimestamp-32-bit-test-overflows.patch
    (fixed upstream)
  * Bump golang-any version constraint (>= 2:1.21~) due to use of log/slog
    standard library package
  * Refresh patches
  * Drop obsolete build-dep golang-github-prometheus-client-golang-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 05 Sep 2024 18:48:59 +0000

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.21~),
                golang-github-aws-aws-sdk-go-dev,
                golang-github-go-kit-log-dev,
                golang-github-google-go-cmp-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-munnerz-goautoneg-dev,
                golang-github-mwitkow-go-conntrack-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
                golang-github-prometheus-client-model-dev (>= 0.6.0),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
@@ -39,7 +38,6 @@
          golang-github-julienschmidt-httprouter-dev,
          golang-github-munnerz-goautoneg-dev,
          golang-github-mwitkow-go-conntrack-dev,
-         golang-github-prometheus-client-golang-dev (>= 1.17.0-2~),
          golang-github-prometheus-client-model-dev (>= 0.6.0),
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-dev,

## golang-github-prometheus-common 0.61.0

=== debian/changelog ===
golang-github-prometheus-common (0.61.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 06 Dec 2024 18:12:49 +0000

## golang-github-prometheus-common 0.62.0

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

.PHONY: test
test:: deps check_license unused common-test lint

.PHONY: generate-testdata
generate-testdata:
	@cd config && go run generate.go

.PHONY: check-go-mod-version
check-go-mod-version:
	@echo ">> checking go.mod version matching"
	@./scripts/check-go-mod-version.sh

=== debian/changelog ===
golang-github-prometheus-common (0.62.0-3) unstable; urgency=medium

  * Drop 0003-Reinstate-sigv4-package.patch
  * Add new 0003-Wrap-prometheus-sigv4-package.patch
  * Add new Build-Depends golang-github-prometheus-sigv4-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Feb 2025 09:27:05 +0000

golang-github-prometheus-common (0.62.0-2) unstable; urgency=medium

  * Add new 0004-Revert-change-default-validation-scheme-to-UTF8Valid.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 13 Feb 2025 01:43:17 +0000

golang-github-prometheus-common (0.62.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new patches to reinstate hastily deprecated / dropped packages:
    - 0002-Reinstate-promlog-package.patch
    - 0003-Reinstate-sigv4-package.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 12 Feb 2025 15:19:15 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                golang-github-munnerz-goautoneg-dev,
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-prometheus-client-model-dev (>= 0.6.0),
+               golang-github-prometheus-sigv4-dev,
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
                golang-google-protobuf-dev,
@@ -39,6 +40,7 @@
          golang-github-munnerz-goautoneg-dev,
          golang-github-mwitkow-go-conntrack-dev,
          golang-github-prometheus-client-model-dev (>= 0.6.0),
+         golang-github-prometheus-sigv4-dev,
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-dev,
          golang-google-protobuf-dev,

## golang-github-prometheus-common 0.63.0

=== debian/changelog ===
golang-github-prometheus-common (0.63.0-2) unstable; urgency=medium

  * d/control: add Breaks golang-github-prometheus-exporter-toolkit-dev
    (<< 0.14.0-2~) due to a backwards incompatible change

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 14 Aug 2025 12:21:02 +0000

golang-github-prometheus-common (0.63.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unnecessary patch overriding default label name validation scheme
    - Applications which have not yet updated to prometheus/common v0.62.0
      should override model.NameValidationScheme to model.LegacyValidation in
      their init() function.
  * debian/control: update Breaks versions
  * Refresh packaging according to latest dh-make-golang template
  * Drop unused golang-github-aws-aws-sdk-go-dev dependency
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 13 Aug 2025 11:56:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: golang-github-prometheus-common
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Anthony Fok <foka@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.21~),
-               golang-github-aws-aws-sdk-go-dev,
                golang-github-go-kit-log-dev,
                golang-github-google-go-cmp-dev,
                golang-github-julienschmidt-httprouter-dev,
@@ -23,8 +22,8 @@
                golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-common.git
 Homepage: https://github.com/prometheus/common
@@ -33,8 +32,7 @@
 Package: golang-github-prometheus-common-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-aws-aws-sdk-go-dev,
-         golang-github-go-kit-log-dev,
+Depends: golang-github-go-kit-log-dev,
          golang-github-google-go-cmp-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-munnerz-goautoneg-dev,
@@ -49,8 +47,9 @@
          ${misc:Depends},
 Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
         golang-github-prometheus-client-golang (<< 1.19.1-1~),
-        prometheus (<< 2.45.3+ds-3~),
-        prometheus-alertmanager (<< 0.27.0+ds-2~),
+        golang-github-prometheus-exporter-toolkit-dev (<< 0.14.0-2~),
+        prometheus (<< 2.53.3+ds1-2~),
+        prometheus-alertmanager (<< 0.28.0+ds-2~),
         prometheus-apache-exporter (<< 1.0.7-1~),
         prometheus-bind-exporter (<< 0.7.0-3~),
         prometheus-blackbox-exporter (<< 0.24.0-3~),

=== debian/rules ===
#!/usr/bin/make -f

# Remove the version package, to avoid circular dependency. These are copied
# later using dh_install.
export DH_GOLANG_EXCLUDES := github.com/prometheus/common/version
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --buildsystem=golang

override_dh_strip_nondeterminism:
	# Prevent modification of upstream testdata gzipped files, etc., which
	# could otherwise cause autopkgtest failures.
	dh_strip_nondeterminism --exclude=/assets/testdata/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus/common/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-prometheus-common 0.65.0

=== debian/changelog ===
golang-github-prometheus-common (0.65.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: add / update Breaks constraints due to
    backwards-incompatible change in v0.62.0:
    - golang-github-uber-go-tally-dev (<< 4.1.16-2~)
    - golang-opentelemetry-otel-dev (<< 1.31.0-5~)
    - prometheus-alertmanager (<< 0.28.1+ds-2~)
    - victoriametrics (<< 1.112.0+ds1-3~)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 13:12:07 +0000

=== debian/control ===
--- 
+++ 
@@ -48,8 +48,10 @@
 Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
         golang-github-prometheus-client-golang (<< 1.19.1-1~),
         golang-github-prometheus-exporter-toolkit-dev (<< 0.14.0-2~),
+        golang-github-uber-go-tally-dev (<< 4.1.16-2~),
+        golang-opentelemetry-otel-dev (<< 1.31.0-5~),
         prometheus (<< 2.53.3+ds1-2~),
-        prometheus-alertmanager (<< 0.28.0+ds-2~),
+        prometheus-alertmanager (<< 0.28.1+ds-2~),
         prometheus-apache-exporter (<< 1.0.7-1~),
         prometheus-bind-exporter (<< 0.7.0-3~),
         prometheus-blackbox-exporter (<< 0.24.0-3~),
@@ -62,6 +64,7 @@
         prometheus-pushgateway (<< 1.7.0-2),
         prometheus-snmp-exporter (<< 0.25.0-2~),
         prometheus-squid-exporter (<< 1.11.0+ds-2),
+        victoriametrics (<< 1.112.0+ds1-3~),
 Description: common libraries for Prometheus components
  This package includes:
  .

## golang-github-prometheus-common 0.67.4

=== debian/changelog ===
golang-github-prometheus-common (0.67.4-1) unstable; urgency=medium

  * New upstream release
  * Add new Build-Depends
    - golang-github-golang-jwt-jwt-v5-dev
    - golang-github-google-uuid-dev
  * Bump Breaks golang-github-prometheus-client-golang constraint
    (<< 1.23.1-1~)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 30 Dec 2025 13:10:06 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
                dh-sequence-golang,
                golang-any (>= 2:1.21~),
                golang-github-go-kit-log-dev,
+               golang-github-golang-jwt-jwt-v5-dev,
                golang-github-google-go-cmp-dev,
+               golang-github-google-uuid-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-munnerz-goautoneg-dev,
                golang-github-mwitkow-go-conntrack-dev,
@@ -33,7 +35,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-go-kit-log-dev,
+         golang-github-golang-jwt-jwt-v5-dev,
          golang-github-google-go-cmp-dev,
+         golang-github-google-uuid-dev,
          golang-github-julienschmidt-httprouter-dev,
          golang-github-munnerz-goautoneg-dev,
          golang-github-mwitkow-go-conntrack-dev,
@@ -46,7 +50,7 @@
          golang-gopkg-yaml.v2-dev,
          ${misc:Depends},
 Breaks: golang-github-armon-go-metrics-dev (<< 0.3.4-3~),
-        golang-github-prometheus-client-golang (<< 1.19.1-1~),
+        golang-github-prometheus-client-golang (<< 1.23.1-1~),
         golang-github-prometheus-exporter-toolkit-dev (<< 0.14.0-2~),
         golang-github-uber-go-tally-dev (<< 4.1.16-2~),
         golang-opentelemetry-otel-dev (<< 1.31.0-5~),
